Bug 81832 - http/tests/media/video-useragent.html should be skipped on Mac
Summary: http/tests/media/video-useragent.html should be skipped on Mac
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac Unspecified
: P2 Normal
Assignee: Eric Carlson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-21 14:41 PDT by Eric Carlson
Modified: 2012-03-23 11:48 PDT (History)
4 users (show)

See Also:


Attachments
Proposed patch (1.32 KB, patch)
2012-03-21 14:54 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Carlson 2012-03-21 14:41:19 PDT
The test added for https://bugs.webkit.org/show_bug.cgi?id=46241 does not currently work on OS X because the media engines used do not allow WebKit to customize http request headers.
Comment 1 Eric Carlson 2012-03-21 14:54:00 PDT
Created attachment 133117 [details]
Proposed patch
Comment 2 WebKit Review Bot 2012-03-21 17:38:04 PDT
Comment on attachment 133117 [details]
Proposed patch

Clearing flags on attachment: 133117

Committed r111628: <http://trac.webkit.org/changeset/111628>
Comment 3 WebKit Review Bot 2012-03-21 17:38:08 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 Alexey Proskuryakov 2012-03-22 10:55:12 PDT
I think that this should have gone to mac-*/Skipped, not top level mac/Skipped. This is not a WebKit port issue, so we cannot assume that this will be broken forever until we fix it in WebKit.
Comment 5 Eric Carlson 2012-03-23 11:48:03 PDT
The test does not work on any version of OS X and we can't change WebKit to change that at this time, so I added it to the global skip list. I will change the skipped file(s) once it does work.